local AddName, AddonTable = ...
local L = AddonTable.L

------------------------------
--		Options Equates		--
------------------------------
local Both, Enhanced, Base, World, Realm, Equipped, Overall, Level, Honor = 3, 1, 2, 1, 2, 1, 2, 1, 2

----------------------------------
--		Text Return Formats		--
----------------------------------
local Double_Rating_Format = { "%.0f", "%.0f", "%.0f/%.0f", }
local Base_Casting_Format = { "%.2f", "%.2f", "%.2f/%.2f", }

--------------------------
--		Currency		--
--------------------------

-- Money
function AddonTable.FunctionList.Gold(HUD, data, options, ...)

	local money = GetMoney()
	local formattedMoney = (GetCoinTextureString(money))
	
	HUD:UpdateText(data, formattedMoney)
end
------------------------------------------------

-- Honor
function AddonTable.FunctionList.Honor(HUD, data, options, ...)

	local EB, percentStat, ratingStat = options.Level_HonorPoints
	local honorLevel = UnitHonorLevel("player")
	local honorPoints = C_CurrencyInfo.GetCurrencyInfo(1792)--UnitHonor("player")
	local ratedHonor = C_CurrencyInfo.GetCurrencyInfo(1891)
	local ratedTotal = 0
	local returnText
 
	if honorPoints.name and tonumber(honorPoints.quantity) then honorPoints = honorPoints.quantity else honorPoints = 0 end
	if ratedHonor.name and tonumber(ratedHonor.quantity) then ratedTotal = ratedHonor.quantity end
	
	if options.Display_Rated then honorPoints = ratedTotal end
	
	if AddonTable.Band(EB, Level) then returnText = honorLevel end
	if AddonTable.Band(EB, Honor) then returnText = honorPoints end
	if AddonTable.Band(EB, Both) then returnText = honorLevel .. "/" .. honorPoints end
	if returnText == nil then returnText = 0 end		

	HUD:UpdateText(data, returnText)
end
------------------------------------------------

-- Dragon Isles Supplies
function AddonTable.FunctionList.DragonSupplies(HUD, data, options, ...)

	local dragonSupplies = C_CurrencyInfo.GetCurrencyInfo(2003)

	if dragonSupplies.name and tonumber(dragonSupplies.quantity) then dragonSupplies = dragonSupplies.quantity
	else dragonSupplies = 0 end

	HUD:UpdateText(data, dragonSupplies)
end
------------------------------------------------

-- Bloody Tokens
function AddonTable.FunctionList.BloodyTokens(HUD, data, options, ...)

	local bloodyTokens = C_CurrencyInfo.GetCurrencyInfo(2123)

	if bloodyTokens.name and tonumber(bloodyTokens.quantity) then bloodyTokens = bloodyTokens.quantity
	else bloodyTokens = 0 end

	HUD:UpdateText(data, bloodyTokens)
end
------------------------------------------------

-- Storm Sigil
function AddonTable.FunctionList.StormSigil(HUD, data, options, ...)

	local stormSigil = C_CurrencyInfo.GetCurrencyInfo(2122)

	if stormSigil.name and tonumber(stormSigil.quantity) then stormSigil = stormSigil.quantity
	else stormSigil = 0 end

	HUD:UpdateText(data, stormSigil)
end
------------------------------------------------

-- Elemental Overflow
function AddonTable.FunctionList.EleOverflow(HUD, data, options, ...)

	local eleOverflow = C_CurrencyInfo.GetCurrencyInfo(2118)

	if eleOverflow.name and tonumber(eleOverflow.quantity) then eleOverflow = eleOverflow.quantity
	else eleOverflow = 0 end

	HUD:UpdateText(data, eleOverflow)
end
------------------------------------------------

-- Valor points
function AddonTable.FunctionList.ValorPoints(HUD, data, options, ...)

	local valor = C_CurrencyInfo.GetCurrencyInfo(1191)

	if valor.name and tonumber(valor.quantity) then valor = valor.quantity
	else valor = 0 end	

	HUD:UpdateText(data, valor)
end
------------------------------------------------

-- Conquest
function AddonTable.FunctionList.Conquest(HUD, data, options, ...)

	local conquest = C_CurrencyInfo.GetCurrencyInfo(1602)

	if conquest.name and tonumber(conquest.quantity) then conquest = conquest.quantity
	else conquest = 0 end	

	HUD:UpdateText(data, conquest)
end
------------------------------------------------

-- Timewarped Badges
function AddonTable.FunctionList.Timewarped(HUD, data, options, ...)

	local timewarped = C_CurrencyInfo.GetCurrencyInfo(1166)

	if timewarped.name and tonumber(timewarped.quantity) then timewarped = timewarped.quantity
	else timewarped = 0 end	

	HUD:UpdateText(data, timewarped)
end
------------------------------------------------

-- Trader's Tender
function AddonTable.FunctionList.TraderTender(HUD, data, options, ...)

	local trader = C_CurrencyInfo.GetCurrencyInfo(2032)

	if trader.name and tonumber(trader.quantity) then trader = trader.quantity
	else trader = 0 end	

	HUD:UpdateText(data, trader)
end
------------------------------------------------

-- Renown
function AddonTable.FunctionList.Renown(HUD, data, options, ...)

	local dragonscale = C_CurrencyInfo.GetCurrencyInfo(2021)
	local tuskarr = C_CurrencyInfo.GetCurrencyInfo(2087)
	local centaur = C_CurrencyInfo.GetCurrencyInfo(2002)
	local valdrakken = C_CurrencyInfo.GetCurrencyInfo(2088)

	if dragonscale.name and tonumber(dragonscale.quantity) then dragonscale = dragonscale.quantity
	else dragonscale = 0 end
	if tuskarr.name and tonumber(tuskarr.quantity) then tuskarr = tuskarr.quantity
	else tuskarr = 0 end
	if centaur.name and tonumber(centaur.quantity) then centaur = centaur.quantity
	else centaur = 0 end
	if valdrakken.name and tonumber(valdrakken.quantity) then valdrakken = valdrakken.quantity
	else valdrakken = 0 end

	HUD:UpdateText(data, dragonscale .. "/" .. tuskarr .. "/" .. centaur .. "/" .. valdrakken)
end
------------------------------------------------
